ratmenu (2.3.22) unstable; urgency=medium

  * debian/compat, debian/rules, debian/control: strip down to minimal dh
    usage (ratmenu has *nothing* exciting about it, packaging-wise) and
    advance to debhelper compatibility level 9. Add buildflags for hardening.
  * Makefile: clean up PREFIX/DESTDIR/CFLAGS (hardening now works.)  Move
    tests to "humantest" since they're fundamentally interactive for now.
    Drop manpage from install rule, since dh doesn't fix that up and we
    end up with /usr/man *and* /usr/share/man.

 -- Mark W. Eichin <eichin@thok.org>  Sun, 29 Jun 2014 15:32:05 -0400

ratmenu (2.3.21) unstable; urgency=medium

  * debian/rules: add build-arch, build-indep per Standards-Version 3.9.4.0.
  * debian/control: bump Standards-Version to 3.9.5.
  * debian/source/format: 3.0 native.
  * also uploading to update signatures to a key that is still in the
    keyring, otherwise when dgit clone runs dget, it runs dscverify which fails.

 -- Mark W. Eichin <eichin@thok.org>  Sat, 28 Jun 2014 23:12:11 -0400

ratmenu (2.3.20) unstable; urgency=low

  [Thanks to Axel Beckert for the updated patch.  Note that it requires a
    useful $LANG setting to actually work, having fonts is not sufficient.]
  * Port UTF-8 patch for ratmen
    (http://www.rubyist.net/~rubikitch/computer/ratmen/i18n.patch) to
    ratmenu. (Closes: #531036).

 -- Mark W. Eichin <eichin@thok.org>  Fri, 19 Mar 2010 03:59:56 +0000

ratmenu (2.3.19) unstable; urgency=low

  * debian/control: version debhelper depends (lintian
    package-lacks-versioned-build-depends-on-debhelper.)

 -- Mark W. Eichin <eichin@thok.org>  Thu, 03 Dec 2009 07:27:40 +0000

ratmenu (2.3.18) unstable; urgency=low

  * debian/rules: use dh_clean (lintian diff-contains-editor-backup-file.)

 -- Mark W. Eichin <eichin@thok.org>  Sat, 04 Oct 2008 00:57:33 -0400

ratmenu (2.3.17) unstable; urgency=low

  * debian/rules, debian/compat, debian/control: debhelper V7.
  * debian/changelog: fix name, so it isn't misdetected as an NMU.
  * debian/control: move to standards version 3.8.0.

 -- Mark W. Eichin <eichin@thok.org>  Thu, 02 Oct 2008 00:04:29 -0400

ratmenu (2.3.16) unstable; urgency=low

  * ratmenu.c: long-overdue emacs-style key bindings, as requested by
    kenth@acm.org.  I took a slightly different approach that might make
    it easier to add other binding options later, but the patch was
    appreciated. (Closes: #430056).
  * ratmenu.1: corresponding documentation of the new key bindings.
  * debian/changelog: retconned the 2.3.15 entry to make lintian happy.

 -- Mark Eichin <eichin@thok.org>  Sat, 27 Sep 2008 21:51:24 -0400

ratmenu (2.3.15) unstable; urgency=low

  * debian/menu-method: fixed lintian wrong-path-for-interpreter
    (Closes: #483192).
  * removed ~ files to fix lintian diff-contains-editor-backup-file.

 -- Mark Eichin <eichin@thok.org>  Fri, 26 Sep 2008 01:37:00 -0400

ratmenu (2.3.14) unstable; urgency=low

  * For real this time (Closes: #377626).
  * debian/menu-method: fix lintian wrong-path-for-install-menu.
  * debian/control: reviewed upgrading-checklist, raised
    Standards-Version.  (Note that we still use -L/usr/X11R6/lib to
    simplify backports, 11.8.7 only tells us not to install anything
    there.)

 -- Mark W. Eichin <eichin@thok.org>  Mon,  5 Mar 2007 23:53:29 -0500

ratmenu (2.3.13) unstable; urgency=low

  * New maintainer.  Further updates to follow.

 -- Mark W. Eichin <eichin@thok.org>  Mon,  5 Mar 2007 21:10:30 -0500

ratmenu (2.3.12) unstable; urgency=low

  * QA Upload orphaning this package.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 16 Jul 2006 19:25:24 +0200

ratmenu (2.3.11) unstable; urgency=low

  * Bill Allombert suggested some quoting fixes.  (Closes: #358040)

 -- Jonathan Walther <krooger@debian.org>  Mon, 20 Mar 2006 15:48:52 -0700

ratmenu (2.3.10) unstable; urgency=low

  * system-wide menu has changed.  Thank you Bill Allombert for the fixes.
    (Closes: #358036)

 -- Jonathan Walther <krooger@debian.org>  Mon, 20 Mar 2006 15:05:52 -0700

ratmenu (2.3.9) unstable; urgency=low

  * Added Suggests: for xclip, a very cool program

 -- Jonathan Walther <krooger@debian.org>  Sun, 12 Mar 2006 18:10:52 -0700

ratmenu (2.3.8) unstable; urgency=low

  * Lintian fix: manpage hyphenation
  * Lintian fix: duplicate conffile problem was due to rules file
  * Lintian fix: /usr/sbin to /usr/bin for install-menu location

 -- Jonathan Walther <krooger@debian.org>  Fri, 10 Mar 2006 17:12:52 -0700

ratmenu (2.3.7) unstable; urgency=low

  * Lintian fix: duplicate conffile

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:22:52 -0700

ratmenu (2.3.6) unstable; urgency=low

  * xlibs-dev depend no longer valid.  See the following message.
    http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html
    Closes: #347107

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jan 2006 18:20:52 -0700

ratmenu (2.3.5) unstable; urgency=low

  * Fixed insufficiently initialized variable.

 -- Jonathan Walther <krooger@debian.org>  Wed, 30 Mar 2005 23:54:52 -0700

ratmenu (2.3.4) unstable; urgency=low

  * Fixed uninitialized variable for "dreary" drawing method.

 -- Jonathan Walther <krooger@debian.org>  Wed, 30 Mar 2005 23:42:52 -0700

ratmenu (2.3.3) unstable; urgency=low

  * Added "Suggests" for menu, as per menu documentation.

 -- Jonathan Walther <krooger@debian.org>  Mon, 21 Feb 2005 12:47:52 -0700

ratmenu (2.3.2) unstable; urgency=low

  * Cleaned up spawn() function.
  * Fixed debian/copyright (accurate download instructions)

 -- Jonathan Walther <krooger@debian.org>  Sun, 13 Feb 2005 10:45:52 -0700

ratmenu (2.3.1) unstable; urgency=low

  * Thank you for the patch, Marga.  Incorporated most it. Closes: #293268
  * The dash version thing was fixed in the previous release.
  * Description synopsis fixed.
  * Extra LICENSE file fixed.
  * ChangeLog compression and naming fixed.
  * Removed bogus debian/*.debhelper files.
  * Build-Depend on debhelper > 4, but see no need for compatibility mode.

 -- Jonathan Walther <krooger@debian.org>  Wed,  2 Feb 2005 13:52:05 -0700

ratmenu (2.3) unstable; urgency=low

  * Allow customization via Xresource handling.  Closes: #231827
  * Allow user to specify first selected menu item.
  * Better handling of case where menu items don't all fit on screen.
  * Optimized drawing of dreary menu.
  * Thank you Zrajm C Akfohg <zrajm@klingonska.org> for producing ratmen 2.2.2

 -- Jonathan Walther <krooger@debian.org>  Tue,  1 Feb 2005 09:47:12 -0700

ratmenu (2.2-2) unstable; urgency=low

  * Fixed prerun and postrun syntax in menu method. Thank you Bill.
    Closes: #277299
  * menu method now marked as conffile. Thank you Bill.  Closes: #277182
  * Spell-corrected it's to its in control file.  Thank you Kevin and Florian.
    Closes: #268541, #277267
  * Can't duplicate your error Jorgen.  Reconfirm?  Closes: #231826
  * Bumped Standards-Version in control file up to 3.6.1.1

 -- Jonathan Walther <krooger@debian.org>  Sun, 30 Jan 2005 21:48:43 -0700

ratmenu (2.2-1) unstable; urgency=low

  * Fixed pathname of debian menu in README (Closes: #198711)

 -- Jonathan Walther <krooger@debian.org>  Wed, 25 Jun 2003 19:25:05 -0700

ratmenu (2.2) unstable; urgency=low

  * Fixed quoting bug in menu-method (Closes: #187997)
  * Prettified look of menus produced by menu-method

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 01:56:58 -0700

ratmenu (2.1-1) unstable; urgency=low

  * Bumped the version number in ratmenu.c to be accurate

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 23:55:09 -0700

ratmenu (2.1) unstable; urgency=low

  * Added menu-method to support Debian menus (Closes: #187997)

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 22:06:32 -0700

ratmenu (2.0) unstable; urgency=low

  * Added -persist option
  * Now suggest xbindkeys instead of keylaunch

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 16:55:17 -0700

ratmenu (1.9.2) unstable; urgency=low

  * Updated to be Debian Policy version 3.5.6.1 compliant
  * Removed the unneeded postinst and prerm files
  * Modernized and simplified the rules file
  * Fixed URL in copyright file pointing to source code for this program

 -- Jonathan Walther <krooger@debian.org>  Sat,  8 Jun 2002 12:00:17 -0700

ratmenu (1.9.1) unstable; urgency=low

  * Updated the man page to be even clearer
  * Fixed quoting of the ' character in the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 14:16:39 -0700

ratmenu (1.9) unstable; urgency=low

  * Updated the man page to cover the new -back option

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 13:46:35 -0700

ratmenu (1.8) unstable; urgency=low

  * Added -back feature, to create hierarchies of menus
  * Minor fixes to spelling and documentation

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 11:26:52 -0700

ratmenu (1.7) unstable; urgency=low

  * Fixed bug that caused screen to blank if window was too large
  * Now Suggests the ratpoison window manager

 -- Jonathan Walther <krooger@debian.org>  Sat, 15 Dec 2001 12:53:24 -0700

ratmenu (1.6) unstable; urgency=low

  * Changed default resource to "ratmenu" from "9menu"

 -- Jonathan Walther <krooger@debian.org>  Thu, 11 Oct 2001 12:15:45 -0700

ratmenu (1.5) unstable; urgency=low

  * Changed syntax so menu items can include the ':' character
  * Updated the manpage to document the available keystrokes

 -- Jonathan Walther <krooger@debian.org>  Wed, 10 Oct 2001 13:00:17 -0700

ratmenu (1.4) unstable; urgency=low

  * Added support for more navigation keystrokes
  * Fixed the manpage
  * Added back in the -bg, -fg, -font options
  * Made navigation style and menu alignment configurable

 -- Jonathan Walther <krooger@debian.org>  Sun, 23 Sep 2001 16:15:42 -0700

ratmenu (1.2-1) unstable; urgency=low

  * Took out all mouse handling and replaced it with keyboard commands
  * Removed iconification code
  * Removed various options that aren't needed in ratpoison
  * Updated the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun, 16 Sep 2001 10:10:20 -0700

9menu (1.5-2) unstable; urgency=low

  * Fixed Build-Depends line (added debhelper)
  * Changed maintainer email address.

 -- Stephen Frost <sfrost@debian.org>  Wed,  4 Jul 2001 11:39:45 -0400

9menu (1.5-1) unstable; urgency=medium

  * New upstream version
  * Added md5sums correctly

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 22:44:38 -0500

9menu (1.4-10.2) unstable; urgency=low

  * New Maintainer
  * Fixed gcc warnings.

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 20:58:13 -0500

9menu (1.4-10.1) unstable; urgency=medium

  * Non-maintainer upload 
  * debian/postinst, debian/postrm: added missing "#!/bin/sh -e" line 
    (closes: bug #77413).

 -- An Thi-Nguyen Le <anle@debian.org>  Mon, 27 Nov 2000 18:46:45 -0600

9menu (1.4-10) unstable; urgency=low

  * /usr/doc -> /usr/share/doc
  * Changed CFLAGS and INSTALL_PROGRAM in debian/rules according to
    the new policy.
  * Added build dependencies.
  * Standards-Version: 3.2.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 11 Nov 2000 22:37:30 +0100

9menu (1.4-9) unstable; urgency=low

  * Orphaned the package.

 -- Joel Klecker <espy@debian.org>  Wed,  2 Jun 1999 00:42:15 -0700

9menu (1.4-8) unstable; urgency=low

  * New maintainer.

 -- Joel Klecker <jk@espy.org>  Wed,  17 Dec 1997 09:59:05 -0800

9menu (1.4-7) unstable; urgency=low

  * Compile against libc6

 -- Karl Sackett <krs@debian.org>  Mon,  3 Nov 1997 15:30:53 -0500

9menu (1.4-6) unstable; urgency=low

  * Changed maintainer's address.

 -- Karl Sackett <krs@debian.org>  Thu, 31 Oct 1996 09:34:48 -0600

9menu (1.4-5) unstable; urgency=low

  * Converted to new package standards.

 -- Karl Sackett <krs@caos.aamu.edu>  Thu, 3 Oct 1996 10:28:01 -0500

1.4-4
	* support files now architecture-independent
1.4-3
	* Added Debian support files.
	* Corrected prefix, exec_prefix in debian.rules.
	* Moved man page from 9menu.1x to 9menu.1

